LibreOffice: XSAXEventKeeperStatusChangeListener Interface Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XSAXEventKeeperStatusChangeListener Interface Reference

Interface of SAXEventKeeper Status Change Listener. More...

`import <XSAXEventKeeperStatusChangeListener.idl;`

Inheritance diagram for XSAXEventKeeperStatusChangeListener:

## Public Member Functions
void | blockingStatusChanged ([in] boolean isBlocking)
| Notifies the SAXEventKeeper is entering/leaving blocking state.
void | collectionStatusChanged ([in] boolean isInsideCollectedElement)
| Notifies the SAXEventKeeper is entering/leaving collecting state.
void | bufferStatusChanged ([in] boolean isBufferEmpty)
| Notifies the SAXEventKeeper's buffer is empty/not empty.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Interface of SAXEventKeeper Status Change Listener.

This interface is used to receive the SAXEventKeeper status change notification.

## Member Function Documentation

## ◆ blockingStatusChanged()

void blockingStatusChanged | ( | [in] boolean | isBlocking | ) |

Notifies the SAXEventKeeper is entering/leaving blocking state.

Parameters

  isBlocking | `true` if the SAXEventKeeper is entering blocking state, `false` otherwise

## ◆ bufferStatusChanged()

void bufferStatusChanged | ( | [in] boolean | isBufferEmpty | ) |

Notifies the SAXEventKeeper's buffer is empty/not empty.

Parameters

  isBufferEmpty | `true` if the SAXEventKeeper has no buffer at all; `false` otherwise.

## ◆ collectionStatusChanged()

void collectionStatusChanged | ( | [in] boolean | isInsideCollectedElement | ) |

Notifies the SAXEventKeeper is entering/leaving collecting state.

Parameters

  isInsideCollectedElement | `true` if the SAXEventKeeper is collecting some element, `false` otherwise

The documentation for this interface was generated from the following file:

- com/sun/star/xml/crypto/sax/XSAXEventKeeperStatusChangeListener.idl